package com.pj.ht_borders_list;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import com.pj.current.satoken.StpUserUtil;
import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: ht_borders_list -- 
 * @author yzs 
 */
@RestController
@RequestMapping("/HtBordersList/")
public class HtBordersListController {

	/** 底层 Service 对象 */
	@Autowired
	HtBordersListService htBordersListService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(HtBordersList.PERMISSION_CODE_ADD)
	public AjaxJson add(HtBordersList h){
		htBordersListService.add(h);
		h = htBordersListService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(h);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(HtBordersList.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 htBordersListService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(HtBordersList.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(HtBordersList.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(HtBordersList.PERMISSION_CODE_EDIT)
	public AjaxJson update(HtBordersList h){
		htBordersListService.update(h);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(HtBordersList.PERMISSION_CODE)
	public AjaxJson getById(Integer id){
		HtBordersList h = htBordersListService.getById(id);
		return AjaxJson.getSuccessData(h);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(HtBordersList.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<HtBordersList> list = htBordersListService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
